package de.accso.flexinale.ticketing.domain.services;

import de.accso.flexinale.ticketing.domain.dao.KontingentDao;
import de.accso.flexinale.ticketing.domain.model.Kontingent;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.List;

@SuppressWarnings("unused")
public class KontingentService {
    private static final Logger LOGGER = LoggerFactory.getLogger(KontingentService.class);

    final KontingentDao kontingentDao;

    public KontingentService(final KontingentDao kontingentDao) {
        this.kontingentDao = kontingentDao;
    }

    public List<Kontingent> kontingente() {
        return kontingentDao.findAll();
    }
}
